import { Action, Store } from '@ngrx/store';
import type { AnyAction, ThunkAction } from '@reduxjs/toolkit';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare function dispatch(action: Action): Action;
export declare function dispatch<R>(action: ThunkAction<R, any, any, AnyAction>): R;
export declare function getState(): any;
export declare function select<K>(mapFn: (state: any) => K): Observable<K>;
export declare class ThunkService {
    private readonly store;
    constructor(store: Store);
    getState(): object;
    dispatch(action: Action): void;
    select<K>(mapFn: (state: any) => K): Observable<K>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThunkService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThunkService>;
}
